import axios from '@/libs/axios.js'
// 待办列表查询
export const getBackLogList = params => {
  return axios.request({
    url: `backlog/query/${params.pageNo}/${params.pageSize}`,
    method: 'post',
	data: params
  })
}
// 待办详情
export const getBackLogDetail = params => {
  return axios.request({
    url: `backlog/find/${params.id}`,
    method: 'get'
  })
}
// 待办详情 查询问题进度
export const getBackLogRecord = params => {
  return axios.request({
    url: `backlog/record/findByBacklogId/${params.id}`,
    method: 'get'
  })
}
// 保存待办
export const saveBackLog = params => {
  return axios.request({
    url: `backlog/save`,
    method: 'post',
	data: params
  })
}
// 待办详情 操作
export const handleBackLog = params => {
  return axios.request({
    url: `backlog/handle`,
    method: 'post',
	data: params
  })
}